AC(1)

NOM
ac – Afficher des statistiques à propos des durées de connexion des utilisateurs

SYNOPSIS

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ utilisateurs ]
    [ -f | --file fichier ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency nombre ] [ --tw-suspicious nombre ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

DESCRIPTION

ac affiche un rapport sur les durées de connexion (en heures), basé sur les moments de connexion et de déconnexion indiqués dans le fichier wtmp actuel. Un total est aussi affiché.

Le fichier wtmp de comptabilisation est entretenu par init(8) et login(1). Ni ac ni login ne créent de fichier wtmp s’il n’existe pas, auquel cas aucune comptabilisation n’est faite. Pour débuter cette comptabilisation, créez un fichier de longueur zéro.

REMARQUE : le fichier wtmp peut devenir vraiment très gros et très rapidement. Il peut être souhaitable de le réduire de temps en temps.

GNU ac se comporte de manière pratiquement identique à ac d’UNIX, mais il est un peu plus sophistiqué dans plusieurs cas. Des différences sont par conséquent probables entre les sorties de GNU ac et de ac sur d’autres systèmes. La commande « info accounting » permet d’obtenir des informations supplémentaires.

OPTIONS
-d, --daily-totals
    Afficher les totaux pour chaque jour plutôt qu’une totalisation complète à la fin. La sortie ressemble à ceci :
            Jul 3 total 1.17
            Jul 4 total 2.10
            Jul 5 total 8.23
            Jul 6 total 2.10
            Jul 7 total 0.30
-p, --individual-totals
    Afficher les totaux pour chaque utilisateur en plus de l’habituelle valeur tout-en-un. La sortie ressemble à ceci :
            Lucien 8.06
            Jean 0.60
            Pierre 7.37
            root 0.12
            total 16.15
utilisateurs
    Afficher la durée totale de connexion utilisée par toutes les personnes incluses dans utilisateurs qui est une liste de noms d’utilisateur valables séparés par des virgules. Les métacaractères n’y sont pas autorisés.
-f, --file fichier
    Lire le fichier au lieu du fichier wtmp du système.
--complain
    Quand un problème existe dans le fichier wtmp (un saut temporel, un enregistrement manquant ou quoi que ce soit d’autre), afficher l’erreur concernée.
--reboots
    Les enregistrements de réamorçage NE sont PAS écrits au moment du réamorçage, mais lorsque le système redémarre. Par conséquent, il est impossible de savoir exactement quand le réamorçage se produit. Les utilisateurs peuvent être connectés au système au moment du réamorçage et de nombreuses versions d’ac tiennent compte automatiquement du temps entre la connexion et l’enregistrement du réamorçage pour le compte de l’utilisateur (même si tout ce temps ne devrait peut-être pas l’être, si le système est, par exemple, à l’arrêt pendant longtemps). Pour comptabiliser ce temps, ce drapeau est à indiquer. *Pour une comptabilisation standard d’ac, ce drapeau est à indiquer*.
--supplants
    Quelquefois, un enregistrement de déconnexion n’est pas écrit pour un terminal spécifique ; dans ce cas, le temps accumulé par le dernier utilisateur ne peut être calculé. Pour inclure le temps entre la connexion de l’utilisateur et sa prochaine connexion sur le terminal (quoique ce sera probablement incorrect), cette option est à indiquer. *Pour une comptabilisation standard d’ac, ce drapeau est à indiquer*.
--timewarps
    Parfois, les entrées dans un fichier wtmp remontent soudainement dans le passé sans qu'un enregistrement de modification d'horloge ne se produise. Il est impossible de savoir combien de temps un utilisateur a été connecté lorsque cela se produit. Pour comptabiliser le temps entre la connexion et le saut temporel pour le compte de l'utilisateur, cette option est à indiquer. *Pour une comptabilisation standard d’ac, ce drapeau est a indiquer*.
--compatibility
    Cette option est un raccourci pour la saisie des trois options ci-dessus.
-a, --all-days
    Si les totaux journaliers sont affichés, afficher un enregistrement pour chaque jour au lieu d’omettre les jours intermédiaires sans activité. Sans ce drapeau, le temps accumulé entre ces jours intermédiaires est listé dans le jour suivant où une connexion est réalisée.
--tw-leniency nombre
    Définir la tolérance de saut temporel à nombre secondes. Les enregistrements dans les fichiers wtmp peuvent être légèrement désordonnés (plus particulièrement quand deux connexions se produisent dans un intervalle inférieur à une seconde, la seconde connexion est écrite avant la première). Par défaut, cette valeur est réglée à soixante. Si le programme signale ce problème, le temps n’est pas assigné aux utilisateurs à moins que le drapeau --timewarps ne soit utilisé.
--tw-suspicious nombre
    Définir la valeur de saut de temps suspecte à nombre secondes. Si deux enregistrements dans le fichier wtmp se produisent après un délai supérieur à ce nombre, un problème existe avec le fichier wtmp (ou la machine n’a pas été utilisée pendant plus d’un an). Si le programme signale ce problème, le temps n’est pas assigné aux utilisateurs à moins que le drapeau --timewarps ne soit utilisé.
-y, --print-year
    Afficher l’année lors de l’affichage des dates.
-z, --print-zeros
    Si un total pour n’importe quelle catégorie (excepté le grand total) est zéro, l’afficher. Par défaut, cet affichage est absent.
--debug
    Afficher des informations internes détaillées.
-V, --version
    Afficher le numéro de version d’ac sur la sortie standard et quitter.
-h, --help
    Afficher un court message d’utilisation et les emplacements des fichiers du système sur la sortie standard et quitter.

FICHIERS
wtmp
    Fichier d’enregistrement des connexions pour tout le système. Consulter wtmp(5) pour plus de détails.

AUTEUR
Les utilitaires de comptabilisation GNU ont été écrits par Noel Cragg <noel@gnu.ai.mit.edu>. La page de manuel a été adaptée de la page texinfo par Susan Kleinmann <sgk@sgk.tiac.net>.

VOIR AUSSI
login(1), wtmp(5), init(8), sa(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>
Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.
Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.